Download Batch Job Results
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs/{job_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs/{job_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs/{job_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Bulk Data Export
Download Batch Job Results
Download the results of a completed batch job. Returns a 302 redirect to a pre-signed S3 URL where the file can be downloaded. The pre-signed URL is valid for 7 days. Jobs must have a status of ‘succeeded’ to download results.
GET
/
bulk_api
/
jobs
/
{job_id}
/
results
Download Batch Job Results
Authorizations
Enter a Bearer token obtained via the OAuth client credentials flow or from the Access Tokens tab in your account settings.
FlowClient Credentials
- Token URL
- https://data.apartmentiq.io/oauth/token
Path Parameters
UUID of the completed batch job.
Response
Redirect to pre-signed S3 URL for file download